version: '3.8'

services:
  api:
    image: atomi/compare:4
    deploy:
      replicas: 1
      restart_policy:
        condition: any
    environment:
      PG_PW: sup3r_s3rc3t
      PG_USER: kirin
      PG_HOST: db
      PG_DB: postgres
      ROCKET_ENV: development
      APP_VERSION: local-dev
      ROCKET_ADDRESS: 0.0.0.0
      REPLICA_SLOT: "{{.Task.Slot}}"
      SERVICE_NAME: "{{.Service.Name}}"
    ports:
      - 7878:7879
    tty: true
  db:
    image: postgres:latest
    environment:
      POSTGRES_PASSWORD: sup3r_s3rc3t
      POSTGRES_USER: kirin
    volumes:
      - atomi-dev:/var/lib/postgresql/data
    ports:
      - 5432:5432
  adminer:
    image: admin
    deploy:
      restart_policy:
        condition: any
    ports:
      - 8080:8080
volumes:
  atomi-dev:
    external: true
images:
  atomi/compare:4:
    file: DevDockerfile
  admin:latest: adminer